<template>
  <div>
    <v-sheet>
    <div class="fields">
      <v-text-field
        label="Buscar por nombre o código"
        v-model="searchQuery"
        append-icon="mdi-magnify"
        single-line
        hide-details/>
      <st-select-table
        :dataInfo="{ headers, items, key }"
        :loading="loading"
        :search="searchQuery"
        :items-per-page="itemsPerPage"
        @selected="selectStudent($event)"/>
    </div>
    </v-sheet>
    <div class="content-footer">
      <st-secondary-btn nombre="Cancelar" @click="$emit('cancel')"/>
      <st-primary-btn nombre="Siguiente" @click="$emit('next', student)" :disable="student === null"/>
    </div>
  </div>
</template>

<script>
import Search from "./Search";
import SelectTable from "./SelectTable";
import {mapState} from "vuex";

export default {
  name: "TutorSessionModalStepOne",
  data() { return {
    itemsPerPage: 5,
    headers: [
      {
        text: 'Nombre',
        align: 'start',
        value: 'nombre',
      },
      {
        text: 'Código',
        value: 'codigo'
      },
    ],
    key: 'idAlumno',
    student: null,
    loading: false,
    searchQuery: "",
  }},
  computed: {
    ...mapState('tutorships', {
      items: (state) => state.sesiones,
    }),
  },
  components: {
    'st-search': Search,
    'st-select-table': SelectTable,
  },
  methods: {
    selectStudent(row) {
      this.student = {...row};
    },
    searchStudent(searchQuery) {
      this.searchQuery = searchQuery;
    }
  },
}
</script>

<style scoped>

</style>
